: Interface HTTP

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Interface HTTP

All Known Implementing Classes:
  HttpMessage, Request

public interface HTTP

Field Summary
`static int` | `ACCEPTED`
`static int` | `BAD_GATEWAY`
`static int` | `BAD_REQUEST`
`static byte[]` | `byteArrayVersion` The version we emit with all replies.
`static int` | `CONFLICT`
`static int` | `CONTINUE`
`static int` | `CREATED`
`static int` | `DONE`
`static int` | `EXPECTATION_FAILED`
`static int` | `FORBIDDEN`
`static int` | `FOUND`
`static int` | `GATEWAY_TIMEOUT`
`static int` | `GONE`
`static int` | `HTTP_VERSION_NOT_SUPPORTED`
`static int` | `INTERNAL_SERVER_ERROR`
`static int` | `LENGTH_REQUIRED`
`static int` | `major_number` The major version of HTTP handled by that package.
`static int` | `minor_number` The miniro version of HTTP handled by that package.
`static int` | `MOVED_PERMANENTLY`
`static java.lang.String[]` | `msg_100`
`static java.lang.String[]` | `msg_200`
`static java.lang.String[]` | `msg_300`
`static java.lang.String[]` | `msg_400`
`static java.lang.String[]` | `msg_500`
`static int` | `MULTIPLE_CHOICE`
`static int` | `NO_CONTENT`
`static int` | `NOHEADER`
`static int` | `NON_AUTHORITATIVE_INFORMATION`
`static int` | `NOT_ACCEPTABLE`
`static int` | `NOT_ALLOWED`
`static int` | `NOT_EXTENDED`
`static int` | `NOT_FOUND`
`static int` | `NOT_IMPLEMENTED`
`static int` | `NOT_MODIFIED`
`static int` | `OK`
`static int` | `PARTIAL_CONTENT`
`static int` | `PAYMENT_REQUIRED`
`static int` | `PRECONDITION_FAILED`
`static int` | `PROXY_AUTH_REQUIRED`
`static int` | `REQUEST_ENTITY_TOO_LARGE`
`static int` | `REQUEST_TIMEOUT`
`static int` | `REQUEST_URI_TOO_LONG`
`static int` | `REQUESTED_RANGE_NOT_SATISFIABLE`
`static int` | `RESET_CONTENT`
`static int` | `SEE_OTHER`
`static int` | `SERVICE_UNAVAILABLE`
`static int` | `SWITCHING`
`static int` | `TEMPORARY_REDIRECT`
`static int` | `UNAUTHORIZED`
`static int` | `UNSUPPORTED_MEDIA_TYPE`
`static int` | `USE_PROXY`

Field Detail

### major_number

    public static final int major_number

  The major version of HTTP handled by that package.

### minor_number

    public static final int minor_number

  The miniro version of HTTP handled by that package.

### byteArrayVersion

    public static final byte[] byteArrayVersion

  The version we emit with all replies. This version matches the version understood by the API, which does not necessarily reflect what is returned by `getMajorVersion` and `getMinorVersion`.

### msg_100

    public static final java.lang.String[] msg_100

### msg_200

    public static final java.lang.String[] msg_200

### msg_300

    public static final java.lang.String[] msg_300

### msg_400

    public static final java.lang.String[] msg_400

### msg_500

    public static final java.lang.String[] msg_500

### CONTINUE

    public static final int CONTINUE

### SWITCHING

    public static final int SWITCHING

### OK

    public static final int OK

### CREATED

    public static final int CREATED

### ACCEPTED

    public static final int ACCEPTED

### NON_AUTHORITATIVE_INFORMATION

    public static final int NON_AUTHORITATIVE_INFORMATION

### NO_CONTENT

    public static final int NO_CONTENT

### RESET_CONTENT

    public static final int RESET_CONTENT

### PARTIAL_CONTENT

    public static final int PARTIAL_CONTENT

### MULTIPLE_CHOICE

    public static final int MULTIPLE_CHOICE

### MOVED_PERMANENTLY

    public static final int MOVED_PERMANENTLY

### FOUND

    public static final int FOUND

### SEE_OTHER

    public static final int SEE_OTHER

### NOT_MODIFIED

    public static final int NOT_MODIFIED

### USE_PROXY

    public static final int USE_PROXY

### TEMPORARY_REDIRECT

    public static final int TEMPORARY_REDIRECT

### BAD_REQUEST

    public static final int BAD_REQUEST

### UNAUTHORIZED

    public static final int UNAUTHORIZED

### PAYMENT_REQUIRED

    public static final int PAYMENT_REQUIRED

### FORBIDDEN

    public static final int FORBIDDEN

### NOT_FOUND

    public static final int NOT_FOUND

### NOT_ALLOWED

    public static final int NOT_ALLOWED

### NOT_ACCEPTABLE

    public static final int NOT_ACCEPTABLE

### PROXY_AUTH_REQUIRED

    public static final int PROXY_AUTH_REQUIRED

### REQUEST_TIMEOUT

    public static final int REQUEST_TIMEOUT

### CONFLICT

    public static final int CONFLICT

### GONE

    public static final int GONE

### LENGTH_REQUIRED

    public static final int LENGTH_REQUIRED

### PRECONDITION_FAILED

    public static final int PRECONDITION_FAILED

### REQUEST_ENTITY_TOO_LARGE

    public static final int REQUEST_ENTITY_TOO_LARGE

### REQUEST_URI_TOO_LONG

    public static final int REQUEST_URI_TOO_LONG

### UNSUPPORTED_MEDIA_TYPE

    public static final int UNSUPPORTED_MEDIA_TYPE

### REQUESTED_RANGE_NOT_SATISFIABLE

    public static final int REQUESTED_RANGE_NOT_SATISFIABLE

### EXPECTATION_FAILED

    public static final int EXPECTATION_FAILED

### INTERNAL_SERVER_ERROR

    public static final int INTERNAL_SERVER_ERROR

### NOT_IMPLEMENTED

    public static final int NOT_IMPLEMENTED

### BAD_GATEWAY

    public static final int BAD_GATEWAY

### SERVICE_UNAVAILABLE

    public static final int SERVICE_UNAVAILABLE

### GATEWAY_TIMEOUT

    public static final int GATEWAY_TIMEOUT

### HTTP_VERSION_NOT_SUPPORTED

    public static final int HTTP_VERSION_NOT_SUPPORTED

### NOT_EXTENDED

    public static final int NOT_EXTENDED

### NOHEADER

    public static final int NOHEADER

### DONE

    public static final int DONE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD